<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version 1.1.3
 * ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * 
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the "Powered by SugarCRM" logo and 
 * (ii) the SugarCRM copyright notice 
 * in the same form as they appear in the distribution.  See full license for requirements.
 * 
 * The Original Code is:  SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Header: /home/httpd/vhosts/sugarcrm.com/master/sugarcrm/modules/Home/language/en_us.lang.php,v 1.23 2004/10/25 02:51:33 julian Exp $
 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_NEW_FORM_TITLE' => 'New Contact',
  'LBL_FIRST_NAME' => 'First Name:',
  'LBL_LAST_NAME' => 'Last Name:',
  'LBL_LIST_LAST_NAME' => 'Last Name',
  'LBL_PHONE' => 'Phone:',
  'LBL_EMAIL_ADDRESS' => 'Email:',
  'LBL_PIPELINE_FORM_TITLE' => 'My Pipeline',
  'LNK_NEW_CONTACT' => 'Create Contact',
  'LNK_NEW_ACCOUNT' => 'Create Account',
  'LNK_NEW_OPPORTUNITY' => 'Create Opportunity',



  'LNK_NEW_LEAD' => 'Create Lead',
  'LNK_NEW_CASE' => 'Create Case',
  'LNK_NEW_NOTE' => 'Create Note',
  'LNK_NEW_CALL' => 'Create Call',
  'LNK_NEW_EMAIL' => 'Create Email',
  'LNK_NEW_MEETING' => 'Create Meeting',
  'LNK_NEW_TASK' => 'Create Task',
  'ERR_ONE_CHAR' => 'Please enter at least one letter or number for your search ...',
  'LBL_OPEN_TASKS' => 'My Open Tasks',
);


?>