<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version 1.1.3
 * ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * 
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the "Powered by SugarCRM" logo and 
 * (ii) the SugarCRM copyright notice 
 * in the same form as they appear in the distribution.  See full license for requirements.
 * 
 * The Original Code is:  SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Header: /home/httpd/vhosts/sugarcrm.com/master/sugarcrm/modules/Tasks/Save.php,v 1.21 2004/10/24 20:06:43 clint Exp $
 * Description:  Saves an Account record and then redirects the browser to the
 * defined return URL.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once('modules/Tasks/Task.php');
require_once('include/logging.php');
require_once('include/time.php');
$local_log =& LoggerManager::getLogger('index');

$focus = new Task();

if(isset($_POST['meridiem']) && !empty($_POST['meridiem'])){
		$_POST['time_due'] = to_db_time($_POST['time_due'], $_POST['meridiem']);
}
require_once('include/formbase.php');
$focus = populateFromPost('', $focus);


if (!isset($_POST['date_due_flag'])) $focus->date_due_flag = 'off';

$focus->save($check_notify);
$return_id = $focus->id;

handleRedirect($return_id,'Tasks');



?>