<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version 1.1.3
 * ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * 
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the "Powered by SugarCRM" logo and 
 * (ii) the SugarCRM copyright notice 
 * in the same form as they appear in the distribution.  See full license for requirements.
 * 
 * The Original Code is:  SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Header: /home/httpd/vhosts/sugarcrm.com/master/sugarcrm/modules/Tasks/language/en_us.lang.php,v 1.27 2004/10/25 03:09:52 julian Exp $
 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Tasks',
  'LBL_TASK' => 'Tasks: ',
  'LBL_MODULE_TITLE' => ' Tasks: Home',
  'LBL_SEARCH_FORM_TITLE' => ' Task Search',
  'LBL_LIST_FORM_TITLE' => ' Task List',
  'LBL_NEW_FORM_TITLE' => ' Create Task',
  'LBL_NEW_FORM_SUBJECT' => 'Subject:',
  'LBL_NEW_FORM_DUE_DATE' => 'Due Date:',
  'LBL_NEW_FORM_DUE_TIME' => 'Due Time:',
  'LBL_NEW_TIME_FORMAT' => '(24:00)',
  'LBL_LIST_CLOSE' => 'Close',
  'LBL_LIST_SUBJECT' => 'Subject',
  'LBL_LIST_CONTACT' => 'Contact',
  'LBL_LIST_RELATED_TO' => 'Related to',
  'LBL_LIST_DUE_DATE' => 'Due Date',
  'LBL_LIST_DUE_TIME' => 'Due Time',
  'LBL_SUBJECT' => 'Subject:',
  'LBL_STATUS' => 'Status:',
  'LBL_DUE_DATE' => 'Due Date:',
  'LBL_PRIORITY' => 'Priority:',
  'LBL_COLON' => ':',
  'LBL_DUE_DATE_AND_TIME' => 'Due Date & Time:',
  'DATE_FORMAT' => '(yyyy-mm-dd)',
  'LBL_NONE' => 'none',
  'LBL_CONTACT' => 'Contact:',
  'LBL_PHONE' => 'Phone:',
  'LBL_EMAIL' => 'Email:',
  'LBL_DESCRIPTION_INFORMATION' => 'Description Information',
  'LBL_DESCRIPTION' => 'Description:',
  'LBL_NAME' => 'Name:',
  'LBL_CONTACT_NAME' => 'Contact Name: ',
  'LBL_LIST_COMPLETE' => 'Complete:',
  'LBL_LIST_STATUS' => 'Status:',
  'ERR_DELETE_RECORD' => 'A record number must be specified to delete the contact.',
  'ERR_INVALID_HOUR' => 'Please enter an hour between 0 and 24',
  'LBL_DEFAULT_STATUS' => 'Not Started',
  'LBL_DEFAULT_PRIORITY' => 'Medium',
  'LNK_NEW_CALL' => 'Create Call',
  'LNK_NEW_MEETING' => 'Create Meeting',
  'LNK_NEW_TASK' => 'Create Task',
  'LNK_NEW_NOTE' => 'Create Note',
  'LNK_NEW_EMAIL' => 'Create Email',
  'LNK_CALL_LIST' => 'Calls',
  'LNK_MEETING_LIST' => 'Meetings',
  'LNK_TASK_LIST' => 'Tasks',
  'LNK_NOTE_LIST' => 'Notes',
  'LNK_EMAIL_LIST' => 'Emails',
  'LNK_VIEW_CALENDAR' => 'Today',
);


?>