<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version 1.1.3
 * ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * 
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the "Powered by SugarCRM" logo and 
 * (ii) the SugarCRM copyright notice 
 * in the same form as they appear in the distribution.  See full license for requirements.
 * 
 * The Original Code is:  SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/

//NOTE: Under the Sugar Public License referenced above, you are required to leave in all copyright statements in both
//the code and end-user application.

global $sugar_version;
?>
<span class="body">
<p><img src="include/images/sugarsales_lg.png" alt="Sugar Sales" width="425" height="55"><br>
<b>Version <?php echo $sugar_version; ?></b></p>

<p>Copyright &copy; 2004 <A href="http://www.sugarcrm.com" target="_blank" class="body">SugarCRM Inc.</A> All Rights Reserved. <A href="http://www.sugarcrm.com/SPL" target="_blank" class="body">View License Agreement</A><br>

SugarCRM<span class="tm">TM</span> and Sugar Sales<span class="tm">TM</span> are trademarks of SugarCRM Inc.<A href="http://www.sugarcrm.com/trademark/"  target="_blank" class="body">View Trademark Guidelines</A> </p>

<p><table cellspacing="0" cellpadding="0" border="0" class="contentBox">
<tr>
    <td class="body" style="padding-right: 10px;" valign="top"><B>Silicon Valley Corporate Office</B><br>
	
	<IMG src="include/images/corp_office.jpg"></td>
    <td class="body" valign="top" style="padding-right: 10px;">
<p>	<B>SugarCRM Inc.</B><BR>
        10080 North Wolfe Road<BR>
        Suite SW3-303<BR>
		Cupertino, CA 95014 USA</p>
		
<p>		<B>Contact Information</B><BR>
Web: <a href="http://www.sugarcrm.com" target="_blank" class="body">http://www.sugarcrm.com</a><BR>
Sales: <a href="mailto:sales@sugarcrm.com"  class="body">sales@sugarcrm.com</a><br>
Support: <a href="mailto:support@sugarcrm.com" class="body">support@sugarcrm.com</a> <BR>
Phone: +1 408.873.9872</p>
<B>Team Members</B>


		
		  
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
    <td class="body"><LI>John Roberts</LI>
          <LI>Clint Oram</LI>
          <LI>Jacob Taylor</LI>
          <LI>Josh Stein</LI>
		  <LI>Tara Smith</LI></td>
    <td class="body">
		  <LI>Julian Ostrow</LI>
          <LI>Robert Rangel</LI>
          <LI>Lam Huynh</LI>
          <LI>Majed Itani</LI>
          <LI>Amie Doolittle</LI></td>
</tr>
</table>

          
		</td>

</tr>
</table></p>

</span>

<p><B>Thanks to the following developers for their code contributions:</B>
<LI>Olaf Kock of Abstrakt GmbH and Controll-IT GmbH- Contributed a security review of Sugar Sales.</LI>
<LI>Pascal Brunel of Synolia.com  Contributed an integration the Spiffy calendar widget, French localization and some minor code enhancements.</LI>
<LI>Xavier Dutoit of Sydesy Ltd - Contributed the file upload feature in Notes, an integration with the DHTML calendar widget and some minor code enhancements.</LI></p>

<P><b>Special thanks to the following advisors:</b></p>
<p>
<table cellpadding="0" cellspacing="0">
<tr>
<td  valign="top" style="padding-right: 10px;">
<LI>Phil Grisier</LI>
<LI>Mary Coleman</LI>
<LI>Raj Rao</LI>
<LI>Rand Bradley</LI>
</TD>
<TD  valign="top">
<LI>Andrew Aitken</LI>
<LI>Mark Radcliffe</LI>
<LI>Laura Merling </LI>
<LI>Dave Murphy</LI>
</TD></TR>
</TABLE>
</p>

<P>
<B>Source Code</B>
<LI>Sugar Sales - The world's most popular sales force automation application created by SugarCRM Inc. (<A href="http://www.sugarcrm.com" target="_blank">http://www.sugarcrm.com</A>)</LI>
<LI>XTemplate - A template engine for PHP created by Barnabs Debreceni (<A href="http://sourceforge.net/projects/xtpl" target="_blank">http://sourceforge.net/projects/xtpl</A>)</LI>
<LI>JpGraph - An object-oriented graph library for PHP created by Johan Persson (<a href="http://www.aditus.nu/jpgraph" target="_blank">http://www.aditus.nu/jpgraph</a>)</LI>
<LI>Log4php - A PHP port of Log4j, the most popular Java logging framework, created by Ceki Glc (<a href="http://www.vxr.it/log4php" target="_blank">http://www.vxr.it/log4php</a>)</LI>
<LI>NuSOAP - A set of PHP classes that allow developers to create and consume web services created by NuSphere Corporation and Dietrich Ayala (<a href="http://dietrich.ganx4.com/nusoap" target="_blank">http://dietrich.ganx4.com/nusoap</a>)</LI>
<LI>JS Calendar - A calendar for entering dates created by Mihai Bazon (<a href="http://www.dynarch.com/mishoo/calendar.epl" target="_blank">http://www.dynarch.com/mishoo/calendar.epl</a>)</LI>
